#include <stdlib.h>
#include <string.h>

void *__fname(char *name)
{
  int nlen;
  char *cname;
  nlen=strlen(name);
  cname=malloc(nlen+2);
  if(!cname) return 0;
  *cname=nlen;
  memcpy(cname+1,name,nlen);
  return cname;
}
